package com.phm.manage.service;

import com.phm.manage.domain.FaultCase;

import java.util.List;

/**
 * 故障案例信息Service接口
 *
 * @author phm
 * @date 2023-08-22
 */
public interface IFaultCaseService {
    /**
     * 查询故障案例信息
     *
     * @param id 故障案例信息主键
     * @return 故障案例信息
     */
    public FaultCase selectFaultCaseById(Long id);

    /**
     * 查询故障案例信息列表
     *
     * @param faultCase 故障案例信息
     * @return 故障案例信息集合
     */
    public List<FaultCase> selectFaultCaseList(FaultCase faultCase);

    /**
     * 新增故障案例信息
     *
     * @param faultCase 故障案例信息
     * @return 结果
     */
    public int insertFaultCase(FaultCase faultCase);

    /**
     * 修改故障案例信息
     *
     * @param faultCase 故障案例信息
     * @return 结果
     */
    public int updateFaultCase(FaultCase faultCase);

    /**
     * 批量删除故障案例信息
     *
     * @param ids 需要删除的故障案例信息主键集合
     * @return 结果
     */
    public int deleteFaultCaseByIds(Long[] ids);

    /**
     * 删除故障案例信息信息
     *
     * @param id 故障案例信息主键
     * @return 结果
     */
    public int deleteFaultCaseById(Long id);
}
